Media -images

Get an image (project-scoped)

GET/media/v1/projects/{projectId}/images/{imageId}

Returns a single image within a project, including private media. Requires project access.

Authorization<token>

In: header

Path Parameters

projectId*string

Project ID

imageId*string

Image ID

Response Body

200application/json

OK

type: object

attached_to_video?boolean
file?object
format?string
id?string
name?string
project_id?string
size?integer
status?string
url?string
height?integer
id?string
thumbhash?string
visibility?integer
Value in0 | 1 | 2 | 3
width?integer
curl -X GET "https://api.rixl.com/media/v1/projects/string/images/string"
fetch("https://api.rixl.com/media/v1/projects/string/images/string", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/media/v1/projects/string/images/string"

  req, _ := http.NewRequest("GET", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/media/v1/projects/string/images/string"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/media/v1/projects/string/images/string"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/media/v1/projects/string/images/string");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "attached_to_video": true,
  "file": {
    "format": "string",
    "id": "string",
    "name": "string",
    "project_id": "string",
    "size": 0,
    "status": "string",
    "url": "string"
  },
  "height": 0,
  "id": "string",
  "thumbhash": "string",
  "visibility": 0,
  "width": 0
}